
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:twong/api/index.dart';
import 'package:twong/models/index.dart';
import 'package:twong/providers/user.dart';
import 'package:twong/utils/cache.dart';

class MessageModel with ChangeNotifier {
  List<Message> _data = List<Message>();
  MessageModel();

  List<Message> get data {
    // if(Cache.token != null) {
    //   Network.inst.getMessage();
    // }

    return _data;
  }

  void update(List<Message> data) {
    this._data = data;
    notifyListeners();
  }
}